[m-rev.] patch: add infrastructure for building GCC back-end on bobo

Fergus Henderson fjh at cs.mu.OZ.AU
Thu Aug 2 18:56:52 AEST 2001


Sometimes I implement something, find that it doesn't work, and hence
decide not to commit the patch, but nevertheless think that the patch
is worth posting to mercury-reviews to (a) communicate to the other
Mercury developers that a particular approach has been tried and failed,
(b) show other Mercury developers how to implement that approach, and
(c) preserve the patch in the archives in case it is ever needed.

The example below is a case in point.

For cases like this, I propose to use a new prefix "patch:".
This is a bit like "diff:" or "for review:" except that it
indicates that the poster does NOT intend to commit the change.

----------

Estimated hours taken: 0.5
Branches: main

tools/test_mercury:
	Add support for building and testing the GCC back-end on murlibobo.
	(This doesn't actually *work*, since GCC 3.0 doesn't build
	out-of-the-box on murlibobo.  Oh well... maybe it will work
	with GCC 3.0.1 ;-)

Workspace: /home/mercury/public/test_mercury/scripts/mercury
Index: tools/test_mercury
===================================================================
RCS file: /home/staff/zs/imp/mercury/tools/test_mercury,v
retrieving revision 1.156
diff -u -d -r1.156 test_mercury
--- tools/test_mercury	2001/08/02 08:46:25	1.156
+++ tools/test_mercury	2001/08/02 08:46:38
@@ -290,7 +290,25 @@
 
 case $HOST in
 	murlibobo)
-		CONFIG_OPTS="--enable-inefficient-grades" ;;
+		CONFIG_OPTS="--enable-inefficient-grades"
+		case "$C_COMPILER" in asm)
+			INSTALL_GRADE="hlc.gc"
+			INSTALL_LIBGRADES=" \
+				asm_fast asm_fast.gc \
+				asm_fast.gc.memprof \
+				asm_fast.gc.prof \
+				asm_fast.gc.prof.tr \
+				asm_fast.gc.profdeep \
+				asm_fast.gc.tr \
+				asm_fast.gc.tr.debug \
+				asm_fast.prof \
+				asm_fast.tr \
+				hlc.par.gc \
+				none none.gc \
+				reg reg.gc"
+			;;
+		esac
+		;;
 	kryten)		
 		# On kryten & taifun, there is a bug in readline which causes
 		# it to go into an infinite loop when reading from a file.
@@ -378,7 +396,7 @@
 rm -f mercury/extras/dynamic_linking/dl.m
 cvs checkout $CHECKOUT_OPTS mercury tests || { false; exit 1; }
 case $HOST in
-	hg)
+	hg|murlibobo)
 		# Check out the Mercury gcc back-end interface sources
 		[ -d mercury-cvs ] || mkdir mercury-cvs
 		(cd mercury-cvs && cvs checkout $CHECKOUT_OPTS gcc/mercury) ||
@@ -815,11 +833,11 @@
 			;;
 	esac
 done
-case $HOST in hg)
+case $HOST in hg|murlibobo)
 	echo "test_mercury starting tests for --target asm at `date`" 1>&2
 	# XXX Note that some of these tests are currently expected to fail
-	# with `--target asm' (in particular the tests of tabling and
-	# nested modules), so we don't set status=1 if these tests fail.
+	# with `--target asm' (in particular test/hard_coded/nondet_copy_out)
+	# so we don't set status=1 if these tests fail.  WE SHOULD FIX THIS!
 	./runtests --target asm -f "$TEST_MCFLAGS" -c "$TEST_CFLAGS" \
 		-g hlc.gc -m "$TEST_MGNUCFLAGS" -l "$TEST_MLFLAGS" \
 		$PARALLEL
-- 
Fergus Henderson <fjh at cs.mu.oz.au>  |  "I have always known that the pursuit
The University of Melbourne         |  of excellence is a lethal habit"
WWW: <http://www.cs.mu.oz.au/~fjh>  |     -- the last words of T. S. Garp.
--------------------------------------------------------------------------
mercury-reviews mailing list
post:  mercury-reviews at cs.mu.oz.au
administrative address: owner-mercury-reviews at cs.mu.oz.au
unsubscribe: Address: mercury-reviews-request at cs.mu.oz.au Message: unsubscribe
subscribe:   Address: mercury-reviews-request at cs.mu.oz.au Message: subscribe
--------------------------------------------------------------------------



More information about the reviews mailing list